%global srcname netbox-plugin-auth-saml2

Name:           python-%{srcname}
Version:        2.3
Release:        1%{?dist}
Summary:        Netbox plugin for SAML2 auth
# https://github.com/jeremyschulman/netbox-plugin-auth-saml2/issues/43
License:        ASL 2.0
URL:            https://github.com/jeremyschulman/netbox-plugin-auth-saml2
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
%{summary}.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
Supplements:    netbox

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i -e '/install_requires/s/]/"django3-auth-saml2"]/' setup.py

%build
%py3_build

%install
%py3_install

%files -n  python3-%{srcname}
%doc README.md
%{python3_sitelib}/django3_saml2_nbplugin/
%{python3_sitelib}/netbox_plugin_auth_saml2-*.egg-info/
